<?php
/**
 * Load view for SMS Notifications List
 *
 * @package miniorange-sms-order-notification-otp-verification/controllers
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
use WCSMSOTP\Objects\SubTabDetails;
use WCSMSOTP\Helper\MoUtility;

$mowc_sub_tab_details = SubTabDetails::instance();

$mowc_subtab              = isset( $_GET['subpage'] ) ? sanitize_text_field( wp_unslash( $_GET['subpage'] ) ) : 'WcNotifSubTab'; //phpcs:ignore WordPress.Security.NonceVerification.Missing, WordPress.Security.NonceVerification.Recommended -- Reading GET parameter from the URL for checking the form name, doesn't require nonce verification.
$mowc_wc_notif_controller = MOV_WC_DIR . 'notifications/wcsmsnotification/controllers/wc-sms-notification.php';

if ( ! MoUtility::mo_require_file( $mowc_wc_notif_controller, MOV_WC_DIR ) ) {
	return;
}
require $mowc_wc_notif_controller;
$mowc_wc_premium_notif_file = $mowc_controller . 'wc-premium-notifications.php';
if ( ! MoUtility::mo_require_file( $mowc_wc_premium_notif_file, MOV_WC_DIR ) ) {
	return;
}
require $mowc_wc_premium_notif_file;
